메인 콘텐츠로 건너뛰기
GET
/
admin
/
collections
컬렉션 목록 조회
curl --request GET \
  --url https://api.headlesscommerce.io/v1/admin/collections \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "type": "manual",
      "position": 123,
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "has_more": true,
  "next_cursor": "<string>"
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

쿼리 매개변수

limit
integer
기본값:20
필수 범위: 1 <= x <= 100
starting_after
string

Return results after this ID (cursor)

응답

200 - application/json

성공

data
object[]
total_count
integer

Only returned in Admin API

has_more
boolean
next_cursor
string | null